function minClamp(%num, %min)
{
	if(%num <= %min)
	{
		return %min;
	}

	return %num;
}

function isNumber(%string) //Function made by Clockturn.
{
	if(%string <= 999999 && (%string >= -999999))
	{
		// Fast solution
		return %string $= %string * 1;
	}

	else
	{
		// Slow solution
		%dot = 0; // Track if period present
		%sci = 0; // Track if scientific notation present

		for(%j = 0; %j < strLen(%string); %j++)
		{
			%c = getSubStr(%string, %j, 1);

			if(%c $= "-")
			{
				if(%sci == -1)
				{
					%sci = 1; // Negative powers
				}

				else if(%j != 0)
				{
					return false; // Negative not the first character
				}

				continue;
			}

			if(%c $= ".")
			{
				if(%dot || %j == 0)
				{
					return false; // Multiple periods or nothing before the period
				}

				else
				{
					%dot = 1;
				}

				continue;
			}

			if(%c $= "e")
			{
				if(%sci != 0)
				{
					return false; // Multiple Es present
				}

				else
				{
					%sci = -1;
				}

				continue;
			}

			if(%c $= "+")
			{
				if(%sci != -1)
				{
					return false; // + is not part of e+ scientific notation
				}

				else
				{
					%sci = 1;
				}

				continue;
			}

			if(%sci == -1 || strPos("0123456789", %c) == -1)
			{
				return false; // An E was present without a + or the current character is not a number
			}
		}

		if(%sci == -1)
		{
			return false; // Last character was an E.
		}

		return true; // Gamut has been run, nothing returned, ergo it is fine
	}
}

function GuiControl::setExtent(%obj, %extent)
{
	%obj.resize(firstWord(%obj.getPosition()), getWord(%obj.getPosition(), 1), firstWord(%extent), getWord(%extent, 1));
}